#ifndef PROXIMITYDATAMODEL_H
#define PROXIMITYDATAMODEL_H

#include <QHash>

#include "../common/protocol/PTNP.h"
#include "../common/protocol/buttonevent.h"
#include "../common/protocol/proximityantenna.h"
#include "../common/protocol/locatableproximitytag.h"
#include "../common/protocol/outtimingtagcontact.h"
#include "../common/protocol/tagcontactkey.h"

class ProximityDataModel
{
public:
    ProximityDataModel();
    ~ProximityDataModel();
    void readFromSettings();
    QHash<PTNP::TagContactKey, PTNP::OuttimingTagContact*>& contacts() {return *_contacts;}
    QMap<PTNP::oid, PTNP::LocatableProximityTag*>& tags() {return *_tags;}
    QMap<PTNP::oid, PTNP::LocatableProximityTag*>& activatorTags() {return *_activatorTags;}
    QMap<PTNP::aid, PTNP::ProximityAntenna*>& antennas() {return *_antennas;}
    QMap<PTNP::oid, PTNP::LocatableProximityTag*>& fixedTags() {return *_fixedTags;}
    QMap<PTNP::oid, PTNP::ButtonEvent*>& buttons() {return *_buttons;}
private:
    QHash<PTNP::TagContactKey, PTNP::OuttimingTagContact*>* _contacts;
    QMap<PTNP::oid, PTNP::LocatableProximityTag*>* _tags;
    QMap<PTNP::oid, PTNP::LocatableProximityTag*>* _activatorTags; // solche tags, bei denen aktionen ausgelöst werden
    QMap<PTNP::oid, PTNP::LocatableProximityTag*>* _fixedTags;
    QMap<PTNP::aid, PTNP::ProximityAntenna*>* _antennas;
    QMap<PTNP::oid, PTNP::ButtonEvent*>* _buttons;

};

#endif // PROXIMITYDATAMODEL_H
