#ifndef PROXIMITYNETWORKDATAPROVIDER_H
#define PROXIMITYNETWORKDATAPROVIDER_H

#include <QUdpSocket>
#include <QObject>
#include "proximitydataprovider.h"

//! Der UDP-Port für eingehende Daten
#define UDP_LISTEN_PORT 2342

//! Datentyp für eine IP
typedef union{
    quint32 ip;
    quint8 byte[4];
}ip;

/*!
  Diese Klasse dient dem Empfangen von Nachrichten über Netzwerk.
  Sie ist von ProximityDataProvider abgeleitet und implementiert
  readData für den Netzwerkdatenempfang.
  */
class ProximityNetworkDataProvider : public ProximityDataProvider
{
    Q_OBJECT
public:
    ProximityNetworkDataProvider();
    ~ProximityNetworkDataProvider();
signals:
    //! emitiert das empfangene Paket und ob es entschlüsselt werden muss, oder nicht
    void readyRead(QByteArray *, bool);
protected slots:
    void readData();
private:
    QUdpSocket* _socket;
};

#endif // PROXIMITYNETWORKDATAPROVIDER_H
