#ifndef PROXIMITYPLAYER_H
#define PROXIMITYPLAYER_H

#include <QObject>
#include <QFile>

#include "proximitydataprovider.h"

/*!
  Der Player ermöglicht das Abspielen von zuvor mittels des
  ProximityLoggers aufgezeichnete log-dateien wieder abzuspielen.
  */
class ProximityPlayer : public ProximityDataProvider
{
    Q_OBJECT
public:
    //! Konstruktor, dem der Pfad des zu spielenden Logfiles übergeben wird
    ProximityPlayer(QString path);
    ProximityPlayer(QString path, bool playLoop);
    ~ProximityPlayer();
    //! öffnet die log-Datei und gibt zurück, ob das funktioniert hat
    bool openLogFile();
signals:
    //! überschriebenes Signal des ProximityDataProvider
    void readyRead(QByteArray*, bool);
protected slots:
    //! implementierte Methode des ProximityDataproviders - liest die Daten aus dem logfile
    void readData();
private:
    QFile *_logFile;
    bool _playLoop;
    quint8 _speed;
    void initPlayer(QString path,bool playloop);
};

#endif // PROXIMITYPLAYER_H
