#ifndef PROXIMITYSERIALDATAPROVIDER_H
#define PROXIMITYSERIALDATAPROVIDER_H

#include "proximitydataprovider.h"
#include <abstractserial.h>

#ifdef Q_WS_WIN
#define PORTNAME "COM1"
#elif defined Q_WS_MAC
#define PORTNAME "/dev/tty.usbmodemfd13121"
#else
#define PORTNAME "/dev/ttyACM0"
#endif


/*!
  Diese Klasse ermöglicht unter Verwendung der QSerialDevice-Bibliothek
  das Empfangen von Nachrichten über den OpenBeacon-USB mit der Firmware
  aus dem OpenBeacon-Repository (von der HTW)
  */
class ProximitySerialDataProvider : public ProximityDataProvider
{
    Q_OBJECT
public:
    //! Standardkonstruktor
    ProximitySerialDataProvider(QString port = PORTNAME);
    ~ProximitySerialDataProvider();
signals:
    //! überschriebenes Signal aus ProximityDataProvider
    void readyRead(QByteArray*, bool);
private slots:
    //! Implementierung des Slots aus ProximityDataProvider
    void readData();
private:
    AbstractSerial* _sp;
    QByteArray _data;
    QByteArray _isolator;
};


#endif // PROXIMITYSERIALDATAPROVIDER_H
