#ifndef BUTTONEVENT_H
#define BUTTONEVENT_H

#include "outtimingobject.h"
#include "proximitytag.h"

namespace PTNP {
#define BUTTON_TIMEOUT 1
    //! diese Klasse speichert alle relvanten Informationen zu gedrückten Buttons
    class ButtonEvent : public OuttimingObject
    {
        Q_OBJECT
    public:
        //! ein ButtonEvent kann nicht ohne auslösendes Tag existieren
        ButtonEvent(PTNP::ProximityTag* const tag);
        //! gibt das Tag zurück, dessen Button gedrückt wurde
        const PTNP::ProximityTag* tag() {return tag_;}
        //! wenn der Button schon gedrückt wird und erneut die Nachricht eintrifft, wird diese Methode ausgeführt
        void stillPressed();
    private:
        PTNP::ProximityTag* const tag_;
    };
}

#endif // BUTTONEVENT_H
