#include "outtimingproximitytag.h"

namespace PTNP {

    /*!
      Dieser Konstruktor startet einen Timer, mit dem im Nachhinein festgestellt werden kann,
      wie lang das Objekt schon existiert.
      */
    OuttimingProximityTag::OuttimingProximityTag(PTNP::oid oid, QObject* parent, bool fixed) : OuttimingObject(parent), ProximityTag(oid, fixed){
        _timeout = TAG_TIMEOUT;
        this->setSingleShot(true);
        this->setInterval(_timeout*MULTIPLIER); // hier muss dann eigentlich der Zucker rein!!!
    }

    OuttimingProximityTag::~OuttimingProximityTag() {

    }

    /*!
      Diese Methode liefert die Zeit in Sekunden zurück, die das Objekt besteht / bestand.
      */
    PTNP::duration OuttimingProximityTag::timeElapsedInSeconds() const
    {
        return OuttimingObject::timeElapsedInSeconds();
    }

    /*!
      startet den Timeout neu und setzt die Zeiten
      */
    void OuttimingProximityTag::seen()
    {
        this->stop();
        ProximityTag::seen();
        this->start();
    }
}
