#ifndef OUTTIMINGPROXIMITYTAG_H
#define OUTTIMINGPROXIMITYTAG_H

#include "outtimingobject.h"
#include "proximitytag.h"
#include "proximityantenna.h"

namespace PTNP {

#define TAG_TIMEOUT  5

    /*!
      Diese Klasse speichert alle Informationen eines Tags in einem ablaufendem Umfeld
      */
    class OuttimingProximityTag : public OuttimingObject, public ProximityTag
    {
        Q_OBJECT
    public:
        /*! Der Standardkostruktor erstellt ein ProximityTag mit ID und setzt den Zeitpunkt der letzten Sichtung auf die aktelle Zeit.
          Zusätzlich wird der Timer aus OuttimingObject gestartet
        */
        OuttimingProximityTag(PTNP::oid oid, QObject* parent=0, bool fixed=false);
        //! löscht alle vom Objekt erstellten Daten
        ~OuttimingProximityTag();
        //! liefert die Zeit zurück, die das Objekt nun besteht - wird überschrieben, da es in beiden Basisklassen vorhanden ist
        PTNP::duration timeElapsedInSeconds() const;

        //! das Tag wurde gesehen - der Timer wird neu gestartet! - überschreibt seen in \see ProximityTag
        // TODO: als SLOT implementieren
        void seen();

    private:
        quint8 _timeout;
    };
}

#endif // OUTTIMINGPROXIMITYTAG_H
