#include "outtimingtagcontact.h"
#include <QDateTime>

namespace PTNP {
    // vorsichtig beim rumspielen mit diesen Werten!!!
#define MAX_CONTACT_TIMEOUT 20
#define MIN_CONTACT_TIMEOUT  6
#define TIMEOUT_UP_STEP 1

    /*!
      Dieser Konstruktor erstellt aus zwei Tags, einer Antenne und einer Signalstärke ein Kontaktobjekt.
      */
    OuttimingTagContact::OuttimingTagContact(ProximityTag* const tag1, ProximityTag* const tag2, ProximityAntenna* const antenna, PTNP::signalStrength strength, QObject* parent)
        : OuttimingObject(parent), TagContact(tag1, tag2, antenna, strength)
    {
        _timeout = MIN_CONTACT_TIMEOUT;
        _actualDuration = OuttimingObject::timeElapsedInSeconds();
        this->setSingleShot(true);
        this->setInterval(_timeout*MULTIPLIER); // hier muss dann eigentlich der Zucker rein!!!
    }

    /*!
      tut noch nix
      */
    OuttimingTagContact::~OuttimingTagContact()
    {
    }

    /*!
      startet den Timeout neu und gibt auch den Tags die Nachricht, dass sie gesehen wurden
      */
    void OuttimingTagContact::seen(ProximityAntenna* const antenna, PTNP::signalStrength strength)
    {
        this->stop();
        if(_timeout<MAX_CONTACT_TIMEOUT)
            _timeout += TIMEOUT_UP_STEP;
        TagContact::seen(antenna, strength); // Aufruf der Oberklasse
        this->setInterval(_timeout*MULTIPLIER);
        this->start();
    }

    void OuttimingTagContact::abort() {
        this->stop();
        emit timeout();
    }

    /*!
      Diese Methode liefert die Zeit in Sekunden zurück, die das Objekt besteht / bestand.
      */
    PTNP::duration OuttimingTagContact::timeElapsedInSeconds() const
    {
        return OuttimingObject::timeElapsedInSeconds();
    }
}
