#ifndef OUTTIMINGTAGCONTACT_H
#define OUTTIMINGTAGCONTACT_H

#include <QObject>
#include <QTimer>
#include "tagcontact.h"
#include "proximitytag.h"
#include "proximityantenna.h"
#include "tagcontactinfo.h"
#include "outtimingobject.h"

namespace PTNP {
    /*!
      Diese Klasse speichert zwei Tags und die Kontaktinformationen dazu
      */
    class OuttimingTagContact : public OuttimingObject, public TagContact
    {
        Q_OBJECT
    public:
        //! Der Konstruktor erstellt aus zwei Tags, einer Antenne und der Signalstärke, mit der sich die Tags sehen ein Kontaktobjekt
        OuttimingTagContact(ProximityTag* const tag1, ProximityTag* const tag2, ProximityAntenna* const antenna, quint8 strength, QObject* parent=0);
        //! löscht alle vom Objekt erstellten Daten
        ~OuttimingTagContact();

        //! frischt die Kontaktinformationen auf - überschreibt seen in \see TagContact
        // TODO: als SLOT implementieren
        void seen(ProximityAntenna* const antenna, quint8 strength);
        void abort();

        //! liefert die Zeit zurück, die das Objekt nun besteht - wird überschrieben, da es in beiden Basisklassen vorhanden ist
        PTNP::duration timeElapsedInSeconds() const;
    private:
        quint8 _timeout;
    };
}
#endif // OUTTIMINGTAGCONTACT_H
