#include "package.h"
#include "PTNP.h"

namespace PTNP {
    /*!
      Dieser Konstruktor holt sich aus der übergebenen Liste das erste Element, interpretiert es als \a header und packt den Rest der des ByteArrays in \a data
      \param data sämtliche Bytes des Paketes
      */
    Package::Package(QByteArray* data) {
        if(!data->isEmpty()) { // eigentlich überflüssig - aber man weiß ja nie, was hiermit für Schindluder getrieben wird!!
            _header = (quint8) data->at(0);
            _data = new QByteArray(data->right(data->size()-1));
        } else {
            _header = 0;
            _data = data;
        }
    }

    /*!
      Dieser Konstruktor packt den die übergebenen Daten in die entsprechenden privaten Variablen.
      \param header der Header des Packages
      \param data die restlichen Bytes der Nachricht
      */
    Package::Package(quint8 header, QByteArray* data) : _header(header), _data(data) {
    }

    /*!
      löscht die Daten, die das Paket enthielt
      */
    Package::~Package() {
        delete _data;
    }
}
