#ifndef PACKAGE_H
#define PACKAGE_H

#include <QObject>
#include "PTNP.h"

namespace PTNP {
    /*!
      Diese Klasse beschreibt die Pakete, mit denen Client und Server handeln
      */
    class Package : public PTNP::package
    {
    public:
        //! Hier passiert die Auswertung des Paketes im Konstruktor - das erste Element von data muss ein header sein
        Package (QByteArray* data);
        //! Hier ist die Auswertung schon vorher geschehen - in data steht wirklich nur data
        Package (quint8 header, QByteArray* data);
        //! löscht die Daten des Paketes
        ~Package();

        //! liefert den Header des Paketes zurück \returns header
        quint8 header() { return _header; }
        //! liefert die Daten des Paketes zurück \returns data
        QByteArray* data() { return _data; }

    private:
        quint8 _header;
        QByteArray* _data;
    };
}
#endif // PACKAGE_H
