#ifndef PROXIMITYANTENNA_H
#define PROXIMITYANTENNA_H

#include <QObject>
#include <QMap>

#include "proximitytag.h"
#include "PTNP.h"
#include "position.h"

namespace PTNP {
    /*!
      Die Klasse ProximityAntenna verwaltet eine Antenne mit den Tags, die sie sieht, in einer \sa Map zusammen mit der jeweiligen Signalstärke
      */
    class ProximityAntenna : public QObject, public Position
    {
    public:
        //! der Standardkonstruktor für eine Antenne mit id
        ProximityAntenna(PTNP::aid aid, bool ignored=false);
        //! tut momentan nichts
        ~ProximityAntenna();

        //! gibt die Antennenid zurück \returns Antennenid
        PTNP::aid aid() const { return _aid; }
        bool ignoreReportedContacts() { return _ignored; }
        PTNP::flags flags() const { return _flags; }

    private:
        PTNP::aid _aid;
        bool _ignored;
        PTNP::flags _flags;
//        QMap<PTNP::ProximityTag*, qreal>* _tagDistance;
    };
}
#endif // PROXIMITYANTENNA_H
