#include "proximitytag.h"
#ifdef _DEV_
#include <QTextStream>
#endif
namespace PTNP {
    /*!
      Dieser Konstruktor erstellt ein Tag und speichert sich die aktuelle Zeit (das Tag wurde gesehen)
      */
    ProximityTag::ProximityTag(PTNP::oid oid, bool fixed): _fixed(fixed)
    {
        TBeaconWrapper::oid = oid;
        _lastSeen = QDateTime::currentDateTime();
    }

    /*!
      löscht alle gespeicherten Daten
      */
    ProximityTag::~ProximityTag()
    {
#ifdef _DEV_
        QTextStream cout(stdout, QIODevice::WriteOnly);
        cout<<"proximtytag.cpp: ein Tag weniger!!\n"<<flush;
#endif
    }

    /*!
      Setzt den lastseen-Timestamp auf die aktuelle Zeit.
      */
    void ProximityTag::seen()
    {
        _lastSeen = QDateTime::currentDateTime();
    }

    /*!
      vergleicht zwei TagObjekte anhand ihrer oid
      \returns true, wenn die oids gleich sind (andernfalls \a false )
      */
    bool ProximityTag::operator ==(ProximityTag const& pt2) const
    {
        return (this->oid() == pt2.oid());
    }
}
