#include "tagcontactinfo.h"

namespace PTNP {
    /*!
      Erstellt aus einer Antenne und der Signalstärke das InfoObjekt und merkt sich die aktuelle Zeit
      */
    TagContactInfo::TagContactInfo(ProximityAntenna* const antenna, PTNP::signalStrength strength)  : _antenna(antenna), _strength(strength)
    {
        _lastSeen = QDateTime::currentDateTime();
    }

    /*!
      vergleicht zwei Kontaktinformationen anhand des Zeitpunkts der letzten Sichtung.
      \returns true , wenn der linke Operand aktueller ist, als der rechte (andernfalls \a false )
      */
    bool TagContactInfo::operator <(TagContactInfo const& tci2) const
    {
        return !(this->_lastSeen < tci2._lastSeen);
    }

    /*!
      vergleicht zwei Kontaktinformation anhand der AntennenIDs.
      \returns true , wenn beide AntennenIDs gleich sind (andernfalls \a false ).
      */
    bool TagContactInfo::operator ==(TagContactInfo const& tci2) const
    {
        return (this->_antenna->aid() == tci2._antenna->aid());
    }
}
